#!/bin/bash
set -euo pipefail

. driglibash-base

JC_ENV=/etc/jeancloud.env

dns_certs_path=/data/dnscerts.jean-cloud.org/certs/live
http_certs_path=/etc/letsencrypt/live
proxy_dir=/etc/nginx

cat > "$JC_ENV" <<EOF
proxy_dir='$proxy_dir'
nginx_conf_path='$proxy_dir/sites-enabled/'
new_nginx_conf_path='$proxy_dir/new-sites-enabled'
dns_certs_path='$dns_certs_path'
http_certs_path='$http_certs_path'
dummy_cert_path='$http_certs_path/dummy'
servicefile=/docker/services.txt
EOF
	
for dir in /docker/* ; do
	service="$(basename "$dir")"
    [ ! -d "$dir" ] && continue    

	line_in_file "HTTP_DIR='/srv/http/$service'" "/docker/$service/.env"
	line_in_file "DATA_DIR='/data/$service'" "/docker/$service/.env"
	line_in_file "SECRET_DIR='/data/secrets/$service'" "/docker/$service/.env"
	line_in_file "DOCKER_DIR='/docker/$service'" "/docker/$service/.env"
	line_in_file "JC_SERVICE='$service'" "/docker/$service/.env"
	cert="$(findcert.sh "$service")" || true
	if [ -n "$cert" ] ; then
		line_in_file "JC_CERT='$cert'" "/docker/$service/.env"
	fi
		
done
